import 'package:flutter/material.dart';
import 'package:chessjs/chessjs.dart' as chessjs;
import '../flutter_chessboard.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Chessboard Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: ChessGame(),
    );
  }
}

class ChessGame extends StatefulWidget {
  @override
  _ChessGameState createState() => _ChessGameState();
}

class _ChessGameState extends State<ChessGame> {
  ChessboardController _controller = ChessboardController(
    (value) {
      print('move: $value');
    },
    (value) {
      print('checkMate: $value');
    },
    (value) {
      print('check: $value');
    },
    () {
      print('draw');
    },
    true,
    true,
    chessjs.Chess(),
  );

  @override
  Widget build(BuildContext context) {
    final screenSize = MediaQuery.of(context).size;
    return Scaffold(
      body: SizedBox.expand(
        child: ChessBoard(
          boardType: BoardType.brown,
          size: 400,
          minSize: 300,
          controller: _controller,
        ),
      ),
    );
  }
}
